<?php

namespace App\Providers;

use App\Support\FormBuilder;
use Illuminate\Support\ServiceProvider;
use Illuminate\Support\Facades\Schema;
use Illuminate\Pagination\Paginator;

class AppServiceProvider extends ServiceProvider
{
    public function register()
    {
        $this->app->singleton('form', function ($app) {
            return new FormBuilder();
        });
    }

    public function boot()
    {
        Schema::defaultStringLength(191);
        Paginator::useBootstrapFour();
    }
}
